tryton-sao (6.0.28+ds1-2+deb12u2) bookworm-security; urgency=high

  * Add 02_escape_completion_content.patch
    Patch for security issue:
    https://foss.heptapod.net/tryton/tryton/-/issues/14363
    Stored XSS Vulnerability Found in Party Field Leading to Arbitrary
    JavaScript Execution
    S.a. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1121233

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 24 Nov 2025 20:51:45 +0100

tryton-sao (6.0.28+ds1-2+deb12u1) bookworm-security; urgency=high

  * Add 01_xss_vulnerability_attachments_preview.patch.
    Patch for security issue:
    https://bugs.tryton.org/14290
    https://discuss.tryton.org/t/security-release-for-issue-14290/8895
    The HTML element used to display the document is based on the mimetype.
    And by default a sandboxed iframe is used to isolate the unsafe content from
    the parent context.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 21 Oct 2025 12:54:14 +0200

tryton-sao (6.0.28+ds1-2) unstable; urgency=medium

  * Build depend on uglifyjs instead of deprecated node-uglify (Closes:
    #1032353).

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 05 Mar 2023 10:58:36 +0100

tryton-sao (6.0.28+ds1-1) unstable; urgency=medium

  * Merging upstream version 6.0.28.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 26 Feb 2023 21:34:34 +0100

tryton-sao (6.0.27.1+ds1-2) sid; urgency=medium

  * Refine documentation to generate correct versioned source tarballs.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 13 Feb 2023 13:17:52 +0100

tryton-sao (6.0.27.1+ds1-1) unstable; urgency=medium

  * Merging upstream version 6.0.27.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Feb 2023 16:56:52 +0100

tryton-sao (6.0.27+ds1-2) unstable; urgency=medium

  * Bump debian copyright.
  * Bump Standards-Version to 4.6.2.0, no changes needed.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 06 Feb 2023 08:29:58 +0100

tryton-sao (6.0.27+ds1-1) unstable; urgency=medium

  * Add a salsa-ci.yml.
  * Document the source creation in README.source.
  * Update the package to the new mono repos location.
  * Merging upstream version 6.0.27.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 17 Jan 2023 12:29:52 +0100

tryton-sao (6.0.23+ds1-2) unstable; urgency=medium

  * Manage the path to po2json for different Debian releases.
  * Finally upload to new (Closes: #804232).

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 08 Dec 2022 17:46:36 +0100

tryton-sao (6.0.23+ds1-1) unstable; urgency=medium

  * Update year of debian copyright.
  * Merging upstream version 5.0.44.
  * Update the watch file for 6.0.
  * Merging upstream version 6.0.8.
  * Updating copyright file.
  * Unify short description.
  * Use the correct path for po2json.
  * offcanvas.css was removed.
  * README was renamed to README.md.
  * Use debhelper-compat.
  * Use vendored javascript libraries.
  * Document the steps to get a vendored tarball in get_orig_source.
  * Adapt the watch file to use the new vendored location.
  * Add my signing key.
  * Bump debian copyright year.
  * Add the license information for the vendored libraries.
  * Add nodejs as dep for po2json.
  * Update the list of the JSFILES.
  * Update the compile tasks to work with the vendored package.
  * Declare compliance with policy 4.6.1.0.
  * Only keep the necessary files from the vendored libs.
  * Use the same uploader email address for all Tryton packages.
  * Use /usr/share/dpkg/pkg-info.mk instead of calling dpkg-
    parsechangelog.
  * Do not install the image license, it is covered in copyright.
  * Set Rules-Requires-Root: no.
  * Add lintian overrides.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Merge the duplicate License-Grant fields in copyright.
  * Merging upstream version 6.0.23.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 08 Dec 2022 16:12:10 +0100

tryton-sao (5.0.43-1) unstable; urgency=medium

  * Merging upstream version 5.0.43.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 04 Oct 2021 15:25:26 +0200

tryton-sao (5.0.41-1) unstable; urgency=medium

  * Merging upstream version 5.0.41.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 29 Jun 2021 09:40:16 +0200

tryton-sao (5.0.37-1) unstable; urgency=medium

  * Merging upstream version 5.0.37.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 12 Mar 2021 15:00:16 +0100

tryton-sao (5.0.35-1) unstable; urgency=medium

  * Merging upstream version 5.0.33.
  * Updating to standards version 4.5.1, no changes needed.
  * Merging upstream version 5.0.35.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 17 Feb 2021 17:07:29 +0100

tryton-sao (5.0.33-1) unstable; urgency=medium

  * Merging upstream version 5.0.33.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 17 Dec 2020 10:01:31 +0100

tryton-sao (5.0.29-1) unstable; urgency=medium

  * Merging upstream version 5.0.29.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 26 Sep 2020 10:07:54 +0200

tryton-sao (5.0.26-1) unstable; urgency=medium

  * Update year of debian copyright.
  * Merging upstream version 5.0.26.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 04 Jul 2020 12:44:49 +0200

tryton-sao (5.0.21-1) unstable; urgency=medium

  * Merging upstream version 5.0.21.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 05 Apr 2020 12:55:18 +0200

tryton-sao (5.0.20-1) unstable; urgency=medium

  * Merging upstream version 5.0.20.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 12 Mar 2020 17:46:36 +0100

tryton-sao (5.0.17-1) unstable; urgency=medium

  * Merging upstream version 5.0.17.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 03 Dec 2019 09:41:50 +0100

tryton-sao (5.0.15-1) unstable; urgency=medium

  * Merging upstream version 5.0.15.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 21 Oct 2019 12:56:42 +0200

tryton-sao (5.0.10-1) unstable; urgency=medium

  * Merging upstream version 5.0.10.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 23 Jul 2019 18:11:37 +0200

tryton-sao (5.0.7-2) unstable; urgency=medium

  * Update year of debian copyright.
  * Setting the branch in the watch file to the fixed version 5.0.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 22 Jul 2019 12:17:41 +0200

tryton-sao (5.0.7-1) unstable; urgency=medium

  * Merging upstream version 5.0.7.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 23 Apr 2019 09:41:00 +0200

tryton-sao (5.0.6-1) unstable; urgency=medium

  * Add the actual upstream maintainer key to signing-key.asc.
  * Merging upstream version 5.0.6.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 03 Apr 2019 13:41:37 +0200

tryton-sao (5.0.5-1) unstable; urgency=medium

  * Merging upstream version 5.0.5.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 18 Mar 2019 11:44:57 +0100

tryton-sao (5.0.4-1) unstable; urgency=medium

  * Merging upstream version 5.0.4.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 20 Feb 2019 13:27:19 +0100

tryton-sao (5.0.3-1) unstable; urgency=medium

  * Merging upstream version 5.0.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 23 Jan 2019 15:57:18 +0100

tryton-sao (5.0.2-1) unstable; urgency=medium

  * Merging upstream version 5.0.2.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 06 Jan 2019 12:54:49 +0100

tryton-sao (5.0.1-1) unstable; urgency=medium

  * Merging upstream version 5.0.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 24 Nov 2018 23:32:21 +0100

tryton-sao (5.0.0-1) unstable; urgency=medium

  * Merging upstream version 5.0.0.
  * Updating to Standards-Version: 4.2.1, no changes needed.
  * Update signing-key.asc with the minimized actual upstream maintainer
    key.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 20 Nov 2018 17:08:41 +0100

tryton-sao (4.6.3-1) unstable; urgency=medium

  * Merging upstream version 4.6.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 04 Apr 2018 19:10:25 +0200

tryton-sao (4.6.2-1) unstable; urgency=medium

  * Merging upstream version 4.6.2.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 30 Mar 2018 00:45:27 +0200

tryton-sao (4.6.1-2) unstable; urgency=medium

  * Update year of debian copyright.
  * Updating to standards version 4.1.3, no changes needed.
  * control: update Vcs-Browser and Vcs-Git
  * Set the Maintainer address to team+tryton-team@tracker.debian.org.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 29 Mar 2018 21:15:23 +0200

tryton-sao (4.6.1-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.1.1, no changes needed.
  * Merging upstream version 4.6.0.
  * Use https in the watch file.
  * Bump the Standards-Version to 4.1.1, no changes needed.
  * Merging upstream version 4.6.0.
  * Use https in the watch file.
  * Add a changelog entry for 4.6.0 to prevent uscan errors.
  * Merging upstream version 4.6.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 06 Jan 2018 11:36:59 +0100

tryton-sao (4.4.4-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.1.0, no changes needed.
  * Merging upstream version 4.4.4.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 05 Oct 2017 11:45:27 +0200

tryton-sao (4.4.3-2) unstable; urgency=medium

  * Use the preferred https URL format in the copyright file.
  * Bump the Standards-Version to 4.0.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 17 Aug 2017 16:03:14 +0200

tryton-sao (4.4.3-1) unstable; urgency=medium

  * Merging upstream version 4.4.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 17 Aug 2017 12:42:26 +0200

tryton-sao (4.4.2-1) unstable; urgency=medium

  * Change the maintainer address to tryton-debian@lists.alioth.debian.org
    (Closes: #865109).
  * Merging upstream version 4.4.2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 02 Jul 2017 17:32:41 +0200

tryton-sao (4.4.1-1) unstable; urgency=medium

  * Merging upstream version 4.4.0.
  * Merging upstream version 4.4.1.
  * Updating debian/copyright.

 -- Mathias Behrle <mbehrle@debian.org>  Sat, 10 Jun 2017 23:37:12 +0200

tryton-sao (4.2.3-1) unstable; urgency=medium

  * Add the actual upstream maintainer key to signing-key.asc.
  * Merging upstream version 4.2.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 14 Mar 2017 10:56:51 +0100

tryton-sao (4.2.2-1) unstable; urgency=medium

  * Put a minimal version constraint for libjs-jquery to pull from jessie-
    backports instead of jessie.
  * Merging upstream version 4.2.2.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Feb 2017 10:59:57 +0100

tryton-sao (4.2.1-1) unstable; urgency=medium

  * Merging upstream version 4.2.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 04 Jan 2017 12:40:56 +0100

tryton-sao (4.2.0-1) unstable; urgency=medium

  * Merging upstream version 4.2.0.
  * Remove 01-datetimepicker-compat.patch, patch went upstream.

 -- Mathias Behrle <mbehrle@debian.org>  Mon, 05 Dec 2016 15:31:43 +0100

tryton-sao (4.0.6-1) unstable; urgency=medium

  * Merging upstream version 4.0.6.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 08 Nov 2016 09:30:08 +0100

tryton-sao (4.0.5-1) unstable; urgency=medium

  * Adding 01-datetimepicker-compat.patch.
  * Merging upstream version 4.0.5.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 03 Oct 2016 12:44:13 +0200

tryton-sao (4.0.4-1) unstable; urgency=medium

  * Adding the same copyright header to the generated minified file like
    upstream does.
  * Adapting d/copyright for the next release.
  * Merging upstream version 4.0.4.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 03 Sep 2016 20:58:56 +0200

tryton-sao (4.0.3-1) unstable; urgency=medium

  * Merging upstream version 4.0.3.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 05 Aug 2016 11:51:18 +0200

tryton-sao (4.0.2-1) unstable; urgency=medium

  * Merging upstream version 3.8.1.
  * Merging upstream version 4.0.0.
  * Merging upstream version 4.0.1.
  * Merging upstream version 4.0.2.
  * Initial release (Closes: #804232).

 -- Mathias Behrle <mbehrle@debian.org>  Mon, 25 Jul 2016 20:02:10 +0200
